Bug 399516 - Focus search field by default in the settings dialog
Summary: Focus search field by default in the settings dialog
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Manjaro Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-10-08 15:54 UTC by Simone Gaiarin
Modified: 2019-03-26 14:25 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simone Gaiarin 2018-10-08 15:54:49 UTC
SUMMARY
The search field should be focused by default so that typing will filter the results immediatly

STEPS TO REPRODUCE
1. Launch Krunner
2. Click the settings icon
3. Settings dialog shown

OBSERVED RESULT
Search field not focused

EXPECTED RESULT
Search field focused

SOFTWARE VERSIONS

KDE Plasma Version: 5.13.5
KDE Frameworks Version: 5.50.0
Qt Version: 5.11.1
Comment 1 Nate Graham 2019-03-26 14:24:52 UTC
Git commit 03653f4e4ef7ed3bdc9e3c5e806c50df7c1af683 by Nate Graham, on behalf of Jayesh Bhoot.
Committed on 26/03/2019 at 14:24.
Pushed by ngraham into branch 'master'.

Pass focus to child searchbar when KPluginSelector is focused

Summary:
This commit is a precursor to autofocusing on searchbar in
plasmasearch kcm module.

Reviewers: #plasma, #frameworks, ngraham

Reviewed By: ngraham

Subscribers: kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D20034

M  +4    -0    src/kpluginselector.cpp

https://commits.kde.org/kcmutils/03653f4e4ef7ed3bdc9e3c5e806c50df7c1af683
Comment 2 Nate Graham 2019-03-26 14:25:08 UTC
Git commit 763c0cf117bca5039a18c502cb6a6d88bde2281e by Nate Graham, on behalf of Jayesh Bhoot.
Committed on 26/03/2019 at 14:24.
Pushed by ngraham into branch 'master'.

Set autofocus to child KPluginSelector on UI load

Summary:
A sibling commit to this commit in frameworks/kcmutils
passes down the focus to the searchbar in KPluginSelector.
FIXED-IN: 5.16.0

Depends on D20034

Reviewers: #plasma, ngraham

Reviewed By: ngraham

Subscribers: ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D20035

M  +3    -0    kcms/runners/kcm.cpp

https://commits.kde.org/plasma-desktop/763c0cf117bca5039a18c502cb6a6d88bde2281e